<solidify-button-toolbar-detail (showHistoryChange)="showHistory()"
                                [currentModel]="currentObs | async"
                                [deleteAvailable]="false"
                                [formPresentational]="formPresentational"
                                [historyAvailable]="true"
                                [listExtraButtons]="listExtraButtons"
                                [mode]="isEdit ? 'edit' : 'detail'"
                                [backToListNavigate]="backToListNavigate()"
                                (backToDetailChange)="backToDetail()"
                                (editChange)="edit()"
>
</solidify-button-toolbar-detail>

<div [solidifySpinner]="(isLoadingObs | async) || (isLoadingAipObs | async) || (isLoadingDipObs | async)"
     class="wrapper"
>
  <dlcm-order-my-order #formPresentational
                       *ngIf="(currentObs | async)"
                       [editAvailable]="editAvailable"
                       [listArchives]="listArchiveObs | async"
                       [order]="currentObs | async"
                       [listOptionsDisseminationPolicy]="listOptionsDisseminationPolicy"
                       [deleteAvailable]="deleteAvailable"
                       (deleteOrder)="delete()"
                       (downloadAll)="downloadAll($event)"
                       (downloadArchive)="downloadArchive($event)"
                       (navigateToArchive)="navigateToArchive($event)"
                       (submitChange)="update($event)"
                       (editChange)="edit()"
                       [readonly]="!isEdit"
                       (dirtyChange)="updateCanDeactivate($event)"
                       mode="order"
  ></dlcm-order-my-order>
</div>
